/*
 * TextZelle.java	01.07.99
 *
 *
 * Beilage zum Buch "Software-Entwurf mit UML"
 * von J.Seemann & J. Wolff von Gudenberg,
 * Springer-Verlag, 1999
 * 
 */

/** <i>Zelle f&uuml;r Texte (Details siehe Klasse Zelle)</i> */
 
public class TextZelle extends Zelle
{
   String Text;

   public String getAnzeige()  { return Text; }
   public String getInhalt()  { return Text; }
   public double getWert()  { return 0; }

   TextZelle(AnzeigeZelle View, String Text)  
   { 
      super(View); 
      this.Text = Text; 
   }

   public Zelle kopie()
   {
      Zelle z = new TextZelle(null,Text);
      z.Ausrichtung = Ausrichtung;
      z.Nachkomma = Nachkomma;
      return z;
   }
}